OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.APPLE.RowBytes

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetAPPLERowBytes :: MonadIO m => m Bool
- gl_APPLE_row_bytes :: Bool
- pattern GL_PACK_ROW_BYTES_APPLE :: GLenum
- pattern GL_UNPACK_ROW_BYTES_APPLE :: GLenum

# Extension Support

glGetAPPLERowBytes :: MonadIO m => m Bool Source #

Is the APPLE_row_bytes extension supported?

gl_APPLE_row_bytes :: Bool Source #

Is the APPLE_row_bytes extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLERowBytes` in those cases instead.

# Enums

pattern GL_PACK_ROW_BYTES_APPLE :: GLenum Source #

pattern GL_UNPACK_ROW_BYTES_APPLE :: GLenum Source #